ru.bitel.bgbilling.kernel.contract.config.common.service

## Interface DialogConfigService

-     public interface DialogConfigService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `dialogConfigGet(int moduleId, java.lang.String key, boolean system)`
    `java.util.List<ru.bitel.bgbilling.common.model.KeyValue>` | `dialogConfigList(int moduleId)`
    `void` | `dialogConfigUpdate(int moduleId, java.lang.String key, java.lang.String config)`

- - ### Method Detail

    - #### dialogConfigList

          java.util.List<ru.bitel.bgbilling.common.model.KeyValue> dialogConfigList(int moduleId)
                                                                             throws ru.bitel.bgbilling.common.BGException,
                                                                                    ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### dialogConfigGet

          java.lang.String dialogConfigGet(int moduleId,
                                           java.lang.String key,
                                           boolean system)
                                    throws ru.bitel.bgbilling.common.BGException,
                                           ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### dialogConfigUpdate

          void dialogConfigUpdate(int moduleId,
                                  java.lang.String key,
                                  java.lang.String config)
                           throws ru.bitel.bgbilling.common.BGException,
                                  ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`